# email_dns.py

A simple Python script to resolve all email-related DNS records for a domain

Example

```
$ python email_dns.py cbarts.net
{
    "cbarts.net": {
        "mx": [
            {
                "exchanger": "mail.protonmail.ch.",
                "preference": "10"
            },
            {
                "exchanger": "mailsec.protonmail.com.",
                "preference": "20"
            }
        ],
        "spf": "v=spf1 include:_spf.protonmail.ch mx -all",
        "dkim": [
            {
                "type": "CNAME",
                "value": "protonmail.domainkey.d54jb2xmwmmyjawzyztmko2lix3f4dz4uwu2rptmnailfrd6hqgeq.domains.proton.ch."
            },
            {
                "type": "CNAME",
                "value": "protonmail2.domainkey.d54jb2xmwmmyjawzyztmko2lix3f4dz4uwu2rptmnailfrd6hqgeq.domains.proton.ch."
            }
        ],
        "dmarc": "v=DMARC1; p=quarantine; rua=mailto:admin@cbarts.net,mailto:86be0037@mxtoolbox.dmarc-report.com; ruf=mailto:admin@cbarts.net,mailto:86be0037@forensics.dmarc-report.com"
    }
}
```
